Bug 1806933 - Missing python2-six dependency
Summary: Missing python2-six dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: offlineimap
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dodji Seketeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 10:30 UTC by Martin Pitt
Modified: 2020-03-16 20:28 UTC (History)
6 users (show)

Fixed In Version: offlineimap-7.2.4-6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:14:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Pitt 2020-02-25 10:30:20 UTC
Description of problem: After an upgrade of Fedora 31 to 32, offlineimap stops working:

>>> offlineimap 
Traceback (most recent call last):
  File "/bin/offlineimap", line 19, in <module>
    from offlineimap import OfflineImap
  File "/usr/lib/python2.7/site-packages/offlineimap/__init__.py", line 20, in <module>
    from offlineimap.init import OfflineImap
  File "/usr/lib/python2.7/site-packages/offlineimap/init.py", line 34, in <module>
    from offlineimap import threadutil, accounts, folder, mbnames
  File "/usr/lib/python2.7/site-packages/offlineimap/accounts.py", line 23, in <module>
    import six
ImportError: No module named six

Indeed there's no dependency declared:

>>> rpm -q --requires offlineimap | grep py
/usr/bin/python2
libpython2.7.so.1.0()(64bit)
python(abi) = 2.7


Version-Release number of selected component (if applicable):

offlineimap-7.2.4-5.fc32.x86_64

Comment 1 Martin Pitt 2020-02-25 11:14:50 UTC
Forgot to mention, in case others have the same problem: `dnf install python2-six` fixes it, that's what the package should explicitly Requires:.

Comment 2 Fedora Update System 2020-02-25 16:10:57 UTC
FEDORA-2020-217ca8a0d7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-217ca8a0d7

Comment 3 Fedora Update System 2020-02-28 01:26:40 UTC
offlineimap-7.2.4-6.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-217ca8a0d7

Comment 4 Fedora Update System 2020-03-16 20:14:42 UTC
offlineimap-7.2.4-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-03-16 20:28:45 UTC
offlineimap-7.2.4-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.